Get all push mirrors of the repository
const url = 'https://gitea.example.com/api/v1/repos/example/example/push_mirrors';const options = {method: 'GET', headers: {Authorization: 'Basic <credentials>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://gitea.example.com/api/v1/repos/example/example/push_mirrors \ --header 'Authorization: Basic <credentials>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Owner of the repo
Name of the repo
Query Parameters
Section titled “Query Parameters”Page number of results to return (1-based)
Page size of results
Responses
Section titled “Responses”PushMirrorList
PushMirror represents information of a push mirror
object
PushMirrorConfig represents the optional settings of a push mirror
object
Only push the branches matching these names or glob patterns, empty means all branches
Do not delete remote branches which do not exist in the local repository
Do not delete remote tags which do not exist in the local repository
Do not push or delete remote tags
The sync interval for automatic updates
The last error message encountered during sync
The remote repository URL being mirrored to
The name of the remote in the git configuration
The name of the source repository
Whether to sync on every commit
Examplegenerated
[ { "config": { "branch_filters": [ "example" ], "keep_remote_branches": true, "keep_remote_tags": true, "no_push_tags": true }, "created": "2026-04-15T12:00:00Z", "interval": "example", "last_error": "example", "last_update": "2026-04-15T12:00:00Z", "remote_address": "example", "remote_name": "example", "repo_name": "example", "sync_on_commit": true }]APIError is error format response
Headers
Section titled “Headers”APIForbiddenError is a forbidden error response
Headers
Section titled “Headers”APINotFound is a not found empty response